Package de.gebit.integrity.runner.results.call

## Class ExceptionResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.FixtureExecutionResult
    - - de.gebit.integrity.runner.results.call.CallResult
      - - de.gebit.integrity.runner.results.call.ExceptionResult

-     public class ExceptionResult
      extends CallResult

  The result returned if a call resulted in an exception.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class de.gebit.integrity.runner.results.call.CallResult

      `CallResult.UpdatedVariable`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionResult​(Throwable anException, List<CallResult.UpdatedVariable> someVariablesToUpdate, FixtureWrapper<?> aFixtureInstance, String aFixtureMethod, Long anExecutionTime, List<ExtendedResultFixture.ExtendedResult> someExtendedResults)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getException()` |
    `String` | `toString()` |

    - ### Methods inherited from class de.gebit.integrity.runner.results.call.CallResult

      `getUpdatedVariables`

    - ### Methods inherited from class de.gebit.integrity.runner.results.FixtureExecutionResult

      `getExtendedResults, getFixtureInstance, getFixtureMethod`

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionResult

          public ExceptionResult​(Throwable anException,
                                 List<CallResult.UpdatedVariable> someVariablesToUpdate,
                                 FixtureWrapper<?> aFixtureInstance,
                                 String aFixtureMethod,
                                 Long anExecutionTime,
                                 List<ExtendedResultFixture.ExtendedResult> someExtendedResults)

      Creates a new instance.
      Parameters:
        `anException` - the exception that was thrown
        `someVariablesToUpdate` - the variables that were to be updated
        `aFixtureInstance` - The fixture instance (wrapped) - may be null if no fixtures are called in the current phase (for example during the dry run).
        `aFixtureMethod` - the method that was executed
        `anExecutionTime` - the time it took to execute the call
        `someExtendedResults` - any extended results returned by the fixture

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getException

          public Throwable getException()